[Buildroot] [PATCH 12/83 v2] package/nodejs: use 'menuconfig' instead of 'config'+'menu'

Yann E. MORIN yann.morin.1998 at free.fr
Mon Jul 4 09:24:23 UTC 2016


Signed-off-by: "Yann E. MORIN" <yann.morin.1998 at free.fr>

---
Changes RFC -> v1;
  - drop the comment  (Arnout)
---
 package/nodejs/Config.in | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

diff --git a/package/nodejs/Config.in b/package/nodejs/Config.in
index 432792f..f0b1f0e 100644
--- a/package/nodejs/Config.in
+++ b/package/nodejs/Config.in
@@ -6,7 +6,7 @@ comment "nodejs needs a toolchain w/ C++, dynamic library, threads, gcc >= 4.8,
 	depends on !BR2_INSTALL_LIBSTDCPP || BR2_STATIC_LIBS || !BR2_TOOLCHAIN_HAS_THREADS || \
 		!BR2_HOST_GCC_AT_LEAST_4_8 || !BR2_TOOLCHAIN_GCC_AT_LEAST_4_8 || !BR2_USE_WCHAR
 
-config BR2_PACKAGE_NODEJS
+menuconfig BR2_PACKAGE_NODEJS
 	bool "nodejs"
 	depends on BR2_TOOLCHAIN_HAS_THREADS
 	depends on BR2_INSTALL_LIBSTDCPP
@@ -46,8 +46,6 @@ config BR2_PACKAGE_NODEJS_VERSION_STRING
 	default "6.2.1"		if BR2_PACKAGE_NODEJS_V8_ARCH_SUPPORTS
 	default "0.10.45"
 
-menu "Module Selection"
-
 config BR2_PACKAGE_NODEJS_NPM
 	bool "NPM for the target"
 	select BR2_PACKAGE_OPENSSL
@@ -102,6 +100,4 @@ config BR2_PACKAGE_NODEJS_MODULES_ADDITIONAL_DEPS
 	  'libcurl' here, to ensure that buildroot builds the libcurl package,
 	  and does so before building your node modules.
 
-endmenu
-
 endif
-- 
2.7.4



More information about the buildroot mailing list